import { XYChartDescription } from "./XYChartDescription";
import { TimeAxisBreakDescription } from "./TimeAxisBreakDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class FinancialChartDescription extends XYChartDescription {
    static $t: Type;
    private v3;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private v5;
    get width(): string;
    set width(a: string);
    private v2;
    get height(): string;
    set height(a: string);
    private v0;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    constructor();
    private up;
    get leftMargin(): number;
    set leftMargin(a: number);
    private t1;
    get isHorizontalZoomEnabled(): boolean;
    set isHorizontalZoomEnabled(a: boolean);
    private ut;
    get toolbarHeight(): number;
    set toolbarHeight(a: number);
    private t9;
    get yAxisIsLogarithmic(): boolean;
    set yAxisIsLogarithmic(a: boolean);
    private vs;
    get yAxisLogarithmBase(): number;
    set yAxisLogarithmBase(a: number);
    private u0;
    get yAxisInterval(): number;
    set yAxisInterval(a: number);
    private u2;
    get yAxisMinimumValue(): number;
    set yAxisMinimumValue(a: number);
    private u1;
    get yAxisMaximumValue(): number;
    set yAxisMaximumValue(a: number);
    private u3;
    get yAxisMinorInterval(): number;
    set yAxisMinorInterval(a: number);
    private v4;
    get volumeType(): string;
    set volumeType(a: string);
    private v6;
    get xAxisMode(): string;
    set xAxisMode(a: string);
    private uv;
    get xAxisZoomMaximumCategoryRange(): number;
    set xAxisZoomMaximumCategoryRange(a: number);
    private uy;
    get xAxisZoomToCategoryStart(): number;
    set xAxisZoomToCategoryStart(a: number);
    private uw;
    get xAxisZoomMaximumItemSpan(): number;
    set xAxisZoomMaximumItemSpan(a: number);
    private ux;
    get xAxisZoomToCategoryRange(): number;
    set xAxisZoomToCategoryRange(a: number);
    private uz;
    get xAxisZoomToItemSpan(): number;
    set xAxisZoomToItemSpan(a: number);
    private v8;
    get yAxisMode(): string;
    set yAxisMode(a: string);
    private t3;
    get isToolbarVisible(): boolean;
    set isToolbarVisible(a: boolean);
    private v1;
    get chartType(): string;
    set chartType(a: string);
    private v7;
    get yAxisLabelHorizontalAlignment(): string;
    set yAxisLabelHorizontalAlignment(a: string);
    private t5;
    get isWindowSyncedToVisibleRange(): boolean;
    set isWindowSyncedToVisibleRange(a: boolean);
    private td;
    get indicatorTypes(): string[];
    set indicatorTypes(a: string[]);
    private ti;
    get overlayTypes(): string[];
    set overlayTypes(a: string[]);
    private t7;
    get yAxisAbbreviateLargeNumbers(): boolean;
    set yAxisAbbreviateLargeNumbers(a: boolean);
    private us;
    get resolution(): number;
    set resolution(a: number);
    private t6;
    get xAxisEnhancedIntervalPreferMoreCategoryLabels(): boolean;
    set xAxisEnhancedIntervalPreferMoreCategoryLabels(a: boolean);
    private t8;
    get yAxisEnhancedIntervalPreferMoreCategoryLabels(): boolean;
    set yAxisEnhancedIntervalPreferMoreCategoryLabels(a: boolean);
    private v9;
    get zoomSliderType(): string;
    set zoomSliderType(a: string);
    private te;
    get negativeBrushes(): string[];
    set negativeBrushes(a: string[]);
    private tf;
    get negativeOutlines(): string[];
    set negativeOutlines(a: string[]);
    private tg;
    get overlayBrushes(): string[];
    set overlayBrushes(a: string[]);
    private th;
    get overlayOutlines(): string[];
    set overlayOutlines(a: string[]);
    private tl;
    get volumeOutlines(): string[];
    set volumeOutlines(a: string[]);
    private tk;
    get volumeBrushes(): string[];
    set volumeBrushes(a: string[]);
    private tc;
    get indicatorNegativeBrushes(): string[];
    set indicatorNegativeBrushes(a: string[]);
    private ta;
    get indicatorBrushes(): string[];
    set indicatorBrushes(a: string[]);
    private uu;
    get volumeThickness(): number;
    set volumeThickness(a: number);
    private ur;
    get overlayThickness(): number;
    set overlayThickness(a: number);
    private uq;
    get overlayMultiplier(): number;
    set overlayMultiplier(a: number);
    private uo;
    get indicatorThickness(): number;
    set indicatorThickness(a: number);
    private tb;
    get indicatorDisplayTypes(): string[];
    set indicatorDisplayTypes(a: string[]);
    private vo;
    get indicatorPeriod(): number;
    set indicatorPeriod(a: number);
    private un;
    get indicatorMultiplier(): number;
    set indicatorMultiplier(a: number);
    private vr;
    get indicatorSmoothingPeriod(): number;
    set indicatorSmoothingPeriod(a: number);
    private vp;
    get indicatorShortPeriod(): number;
    set indicatorShortPeriod(a: number);
    private vn;
    get indicatorLongPeriod(): number;
    set indicatorLongPeriod(a: number);
    private vq;
    get indicatorSignalPeriod(): number;
    set indicatorSignalPeriod(a: number);
    private tj;
    get rangeSelectorOptions(): string[];
    set rangeSelectorOptions(a: string[]);
    private s9;
    get customIndicatorNames(): string[];
    set customIndicatorNames(a: string[]);
    private t4;
    get isVerticalZoomEnabled(): boolean;
    set isVerticalZoomEnabled(a: boolean);
    private wa;
    get zoomSliderXAxisMajorStroke(): string;
    set zoomSliderXAxisMajorStroke(a: string);
    private u4;
    get zoomSliderXAxisMajorStrokeThickness(): number;
    set zoomSliderXAxisMajorStrokeThickness(a: number);
    private t2;
    get isLegendVisible(): boolean;
    set isLegendVisible(a: boolean);
    private uk;
    get xAxisMinimumValue(): Date;
    set xAxisMinimumValue(a: Date);
    private uj;
    get xAxisMaximumValue(): Date;
    set xAxisMaximumValue(a: Date);
    private tm;
    get xAxisBreaks(): TimeAxisBreakDescription[];
    set xAxisBreaks(a: TimeAxisBreakDescription[]);
    private vz;
    get applyCustomIndicatorsRef(): string;
    set applyCustomIndicatorsRef(a: string);
}
